package com.qmth.distributed.print.business.bean.dto;

import com.qmth.boot.tools.excel.annotation.ExcelColumn;
import com.qmth.teachcloud.common.annotation.ExcelNote;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

/**
 * @Description: 课程知识点数据导入dto
 * @Author: CaoZixuan
 * @Date: 2024-02-27
 */
public class CourseDimensionImportDto {

    @ApiModelProperty("一级知识点内容")
    @ExcelColumn(name = "一级知识点内容", index = 0, nullable = true)
    @NotNull
    private String firstDimensionName;

    @ApiModelProperty("二级知识点内容")
    @ExcelColumn(name = "二级知识点内容", index = 1)
    @NotNull
    private String secondDimensionName;

    public String getFirstDimensionName() {
        return firstDimensionName;
    }

    public void setFirstDimensionName(String firstDimensionName) {
        this.firstDimensionName = firstDimensionName;
    }

    public String getSecondDimensionName() {
        return secondDimensionName;
    }

    public void setSecondDimensionName(String secondDimensionName) {
        this.secondDimensionName = secondDimensionName;
    }
}
